Debian Bug report logs - #599614
linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub

version graph

Package: linux-base; Maintainer for linux-base is Debian Kernel Team <debian-kernel@lists.debian.org>; Source for linux-base is src:linux-base.

Reported by: Rustom Mody <rustompmody@gmail.com>

Date: Sat, 9 Oct 2010 15:48:01 UTC

Severity: normal

Tags: moreinfo

Found in version linux-2.6/2.6.32-24

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rustompmody@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599614; Package linux-base. (Sat, 09 Oct 2010 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rustom Mody <rustompmody@gmail.com>:
New Bug report received and forwarded. Copy sent to rustompmody@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 09 Oct 2010 15:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rustom Mody <rustompmody@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
Date: Sat, 09 Oct 2010 21:17:15 +0530
Package: linux-base
Version: 2.6.32-24
Severity: normal

My hibernate was not working. The discussion is at
http://forums.debian.net/viewtopic.php?f=10&t=55976
In short I need to add by hand resume=/dev/sda<nn> in grub.cfg

With some help I found that my file /etc/initramfs-tools/conf.d/resume
has hda instead of sda.
Something evidently failed to upgrade this I guess?



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-base depends on:
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
ii  libuuid-perl                  0.02-4     Perl extension for using UUID inte
ii  udev                          161-1      /dev/ and hotplug management daemo
ii  util-linux                    2.17.2-3.3 Miscellaneous system utilities

linux-base recommends no packages.

linux-base suggests no packages.

-- debconf information:
  linux-base/disk-id-manual-boot-loader:
  linux-base/disk-id-update-failed:
  linux-base/disk-id-manual:
* linux-base/disk-id-convert-plan-no-relabel: true
* linux-base/disk-id-convert-auto: true
  linux-base/do-bootloader-default-changed:
  linux-base/disk-id-convert-plan: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599614; Package linux-base. (Sun, 10 Oct 2010 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Oct 2010 02:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 599614@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rustom Mody <rustompmody@gmail.com>, 599614@bugs.debian.org
Subject: Re: Bug#599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
Date: Sun, 10 Oct 2010 03:41:22 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-10-09 at 21:17 +0530, Rustom Mody wrote:
> Package: linux-base
> Version: 2.6.32-24
> Severity: normal
> 
> My hibernate was not working. The discussion is at
> http://forums.debian.net/viewtopic.php?f=10&t=55976
> In short I need to add by hand resume=/dev/sda<nn> in grub.cfg
> 
> With some help I found that my file /etc/initramfs-tools/conf.d/resume
> has hda instead of sda.
> Something evidently failed to upgrade this I guess?

There is code in initramfs-tools which should update this file.  Please
can you change it back to the previous value temporarily, run
'dpkg-reconfigure linux-base' and report what it says?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 10 Oct 2010 02:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599614; Package linux-base. (Sun, 10 Oct 2010 13:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rustom Mody <rustompmody@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Oct 2010 13:24:06 GMT) Full text and rfc822 format available.

Message #17 received at 599614@bugs.debian.org (full text, mbox):

From: Rustom Mody <rustompmody@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 599614@bugs.debian.org
Subject: Re: Bug#599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
Date: Sun, 10 Oct 2010 18:51:34 +0530
On Sun, Oct 10, 2010 at 8:11 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Sat, 2010-10-09 at 21:17 +0530, Rustom Mody wrote:
>> Package: linux-base
>> Version: 2.6.32-24
>> Severity: normal
>>
>> My hibernate was not working. The discussion is at
>> http://forums.debian.net/viewtopic.php?f=10&t=55976
>> In short I need to add by hand resume=/dev/sda<nn> in grub.cfg
>>
>> With some help I found that my file /etc/initramfs-tools/conf.d/resume
>> has hda instead of sda.
>> Something evidently failed to upgrade this I guess?
>
> There is code in initramfs-tools which should update this file.  Please
> can you change it back to the previous value temporarily, run
> 'dpkg-reconfigure linux-base' and report what it says?

I dont have a previous! (I am guessing you mean initramfs-tools?)
Anyhow I ran dpkg-reconfigure linux-base. (My conf.d/resume file is unchanged)
It gave me nothing and the /etc/initramfs-tools/conf.d/resume has
/dev/hda13 instead of /dev/sda12

Actually this reminds me of another bug when upgrading to grub2 (sorry
this is entirely from memory)
The grub.cfg was screwed up with partition numbers greater than my
greatest partition
system was unbootable and had to be started with a rescue disk.

My current fdisk gives

Disk /dev/sda: 80.0 GB, 80026361856 bytes
255 heads, 63 sectors/track, 9729 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x0009aa8f

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1        1020     8193118+   7  HPFS/NTFS
/dev/sda2            1021        1657     5116702+   b  W95 FAT32
/dev/sda3            1658        1670      104422+  83  Linux
/dev/sda4            1671        9729    64733917+   5  Extended
/dev/sda5            1671        1772      819283+  83  Linux
/dev/sda6            1773        2919     9213246   83  Linux
/dev/sda7            2920        3429     4096543+  83  Linux
/dev/sda8            3430        5341    15358108+  83  Linux
/dev/sda9            5342        7190    14852061   83  Linux
/dev/sda10           7191        8454    10153048+  83  Linux
/dev/sda11           8455        9602     9221278+  83  Linux
/dev/sda12           9603        9729     1020096   82  Linux swap / Solaris




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 12 Mar 2011 07:12:07 GMT) Full text and rfc822 format available.

Notification sent to Rustom Mody <rustompmody@gmail.com>:
Bug acknowledged by developer. (Sat, 12 Mar 2011 07:12:07 GMT) Full text and rfc822 format available.

Message #22 received at 599614-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 599614-done@bugs.debian.org
Subject: Re: Bug#599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
Date: Sat, 12 Mar 2011 07:09:00 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-10 at 18:51 +0530, Rustom Mody wrote:
> On Sun, Oct 10, 2010 at 8:11 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Sat, 2010-10-09 at 21:17 +0530, Rustom Mody wrote:
> >> Package: linux-base
> >> Version: 2.6.32-24
> >> Severity: normal
> >>
> >> My hibernate was not working. The discussion is at
> >> http://forums.debian.net/viewtopic.php?f=10&t=55976
> >> In short I need to add by hand resume=/dev/sda<nn> in grub.cfg
> >>
> >> With some help I found that my file /etc/initramfs-tools/conf.d/resume
> >> has hda instead of sda.
> >> Something evidently failed to upgrade this I guess?
> >
> > There is code in initramfs-tools which should update this file.  Please
> > can you change it back to the previous value temporarily, run
> > 'dpkg-reconfigure linux-base' and report what it says?
> 
> I dont have a previous! (I am guessing you mean initramfs-tools?)
> Anyhow I ran dpkg-reconfigure linux-base. (My conf.d/resume file is unchanged)
> It gave me nothing and the /etc/initramfs-tools/conf.d/resume has
> /dev/hda13 instead of /dev/sda12

So the problem is that /dev/hda13 doesn't actually exist and therefore
cannot be mapped to anything else.  This is not a bug in linux-base.

> Actually this reminds me of another bug when upgrading to grub2 (sorry
> this is entirely from memory)
> The grub.cfg was screwed up with partition numbers greater than my
> greatest partition
> system was unbootable and had to be started with a rescue disk.
[...]

You must report each bug separately.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599614; Package linux-base. (Sat, 12 Mar 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rustom Mody <rustompmody@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 12 Mar 2011 09:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 599614@bugs.debian.org (full text, mbox):

From: Rustom Mody <rustompmody@gmail.com>
To: 599614@bugs.debian.org
Subject: Re: Bug#599614 closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub)
Date: Sat, 12 Mar 2011 15:06:34 +0530
Hi Ben

If I wish to check this, what can I check?
In particular can I start with a clean setup (no resume line) and
reconfigure linux-base?
Should that put a resume line?

> So the problem is that /dev/hda13 doesn't actually exist and therefore
> cannot be mapped to anything else.  This is not a bug in linux-base.

Well some (upgradation) put that hda13 -- not me :-) -- Ive never had an hda13.
So while it may not be a bug in linux-base its some bug somewhere --
could you suggest where?

For the record I am asking 2 questions:
The second which is possibly hard to answer is who/what/ put the wrong
partition numbers?

The main question is:  What do I have to do to get a correct resume
line in grub without adding it myself?

Thanks

Rusi


On Sat, Mar 12, 2011 at 12:42 PM, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the linux-base package:
>
> #599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
>
> It has been closed by Ben Hutchings <ben@decadent.org.uk>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ben Hutchings <ben@decadent.org.uk> by
> replying to this email.
>
>
> --
> 599614: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=599614
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Forwarded message ----------
> From: Ben Hutchings <ben@decadent.org.uk>
> To: 599614-done@bugs.debian.org
> Date: Sat, 12 Mar 2011 07:09:00 +0000
> Subject: Re: Bug#599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
> On Sun, 2010-10-10 at 18:51 +0530, Rustom Mody wrote:
>> On Sun, Oct 10, 2010 at 8:11 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
>> > On Sat, 2010-10-09 at 21:17 +0530, Rustom Mody wrote:
>> >> Package: linux-base
>> >> Version: 2.6.32-24
>> >> Severity: normal
>> >>
>> >> My hibernate was not working. The discussion is at
>> >> http://forums.debian.net/viewtopic.php?f=10&t=55976
>> >> In short I need to add by hand resume=/dev/sda<nn> in grub.cfg
>> >>
>> >> With some help I found that my file /etc/initramfs-tools/conf.d/resume
>> >> has hda instead of sda.
>> >> Something evidently failed to upgrade this I guess?
>> >
>> > There is code in initramfs-tools which should update this file.  Please
>> > can you change it back to the previous value temporarily, run
>> > 'dpkg-reconfigure linux-base' and report what it says?
>>
>> I dont have a previous! (I am guessing you mean initramfs-tools?)
>> Anyhow I ran dpkg-reconfigure linux-base. (My conf.d/resume file is unchanged)
>> It gave me nothing and the /etc/initramfs-tools/conf.d/resume has
>> /dev/hda13 instead of /dev/sda12
>
> So the problem is that /dev/hda13 doesn't actually exist and therefore
> cannot be mapped to anything else.  This is not a bug in linux-base.
>
>> Actually this reminds me of another bug when upgrading to grub2 (sorry
>> this is entirely from memory)
>> The grub.cfg was screwed up with partition numbers greater than my
>> greatest partition
>> system was unbootable and had to be started with a rescue disk.
> [...]
>
> You must report each bug separately.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>
>
> ---------- Forwarded message ----------
> From: Rustom Mody <rustompmody@gmail.com>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Date: Sat, 09 Oct 2010 21:17:15 +0530
> Subject: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub
> Package: linux-base
> Version: 2.6.32-24
> Severity: normal
>
> My hibernate was not working. The discussion is at
> http://forums.debian.net/viewtopic.php?f=10&t=55976
> In short I need to add by hand resume=/dev/sda<nn> in grub.cfg
>
> With some help I found that my file /etc/initramfs-tools/conf.d/resume
> has hda instead of sda.
> Something evidently failed to upgrade this I guess?
>
>
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
> Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages linux-base depends on:
> ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
> ii  libuuid-perl                  0.02-4     Perl extension for using UUID inte
> ii  udev                          161-1      /dev/ and hotplug management daemo
> ii  util-linux                    2.17.2-3.3 Miscellaneous system utilities
>
> linux-base recommends no packages.
>
> linux-base suggests no packages.
>
> -- debconf information:
>  linux-base/disk-id-manual-boot-loader:
>  linux-base/disk-id-update-failed:
>  linux-base/disk-id-manual:
> * linux-base/disk-id-convert-plan-no-relabel: true
> * linux-base/disk-id-convert-auto: true
>  linux-base/do-bootloader-default-changed:
>  linux-base/disk-id-convert-plan: true
>
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599614; Package linux-base. (Sat, 12 Mar 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 12 Mar 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 599614@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rustom Mody <rustompmody@gmail.com>, 599614@bugs.debian.org
Subject: Re: Bug#599614: closed by Ben Hutchings <ben@decadent.org.uk> (Re: Bug#599614: linux-base: on upgrade /dev/hd<nn> not changed to /dev/sd<nn> in grub)
Date: Sat, 12 Mar 2011 17:23:23 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2011-03-12 at 15:06 +0530, Rustom Mody wrote:
> Hi Ben
> 
> If I wish to check this, what can I check?
> In particular can I start with a clean setup (no resume line) and
> reconfigure linux-base?

Yes, dpkg-reconfigure works.

> Should that put a resume line?

No.

> > So the problem is that /dev/hda13 doesn't actually exist and therefore
> > cannot be mapped to anything else.  This is not a bug in linux-base.
> 
> Well some (upgradation) put that hda13 -- not me :-) -- Ive never had an hda13.
> So while it may not be a bug in linux-base its some bug somewhere --
> could you suggest where?
[...]

initramfs-tools creates that file on installation, but it would not
invent a device name that does not exist.  So, maybe you deleted a
partition at some time since then.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Apr 2011 07:40:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:43:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.